Part: Îndepărtare/JoinCutout

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Part JoinCutout and the translation is 83% complete.

Other languages:
English • ‎français • ‎italiano • ‎română • ‎русский
Arrow-left.svg Previous: Part JoinEmbed.png Embed

Part JoinCutout.svg Part JoinCutout

Menu location
Part → Join → Cutout for Object
Workbenches
Part
Default shortcut
None
Introduced in version
-
See also
Connect, Embed, Cutout, Part Booleans, Part Thickness


Descriere

Coutout tool creates a cutout in a walled object (e.g., a pipe) to fit another walled object.


JoinFeatures Cutout.png


How to use

  1. Select the base object first, then the object to define the cutout.
    The order of selection is important. It is enough to select one sub-shape of each object (e.g., faces).
  2. Invoke the Part JoinCutout command.

A Part JoinFeature object is created, with Mode set to 'Cutout'. Original objects are hidden, and the result of cutting is shown in 3D view.

Properties

Base

  • DATABase: Reference to base object (the one to make the cutout in). The object should be a single solid.
  • DATATool: Reference to tool object (the object that is to fit into the cutout). The object can be a single solid, or a valid compound of solids.
  • DATAMode: The mode of operation, equals 'Cutout' (Changing that will transform the tool into another Part_JoinXXX). The value of 'bypass' can be used to temporarily disable the long computations (a compound of Base and Tool will be created, which is a fast operation).
  • DATARefine: Sets whether to apply Refine operation or not, to the final shape. The default value is determined by a 'Automatically refine shape after boolean operation' checkbox in PartDesign preferences. When Mode property is 'bypass', Refine is ignored (never applied).

Examplu

  1. Create a pipe by applying thickness to a cylinder:
    JoinFeatures Example step1.png
  2. Create another, smaller diameter pipe, and place it so that it pierces the wall of the first pipe:
    JoinFeatures Example step2.png
  3. Select the first pipe, then the second pipe (order of selection is important), and click the 'Cutout for object' option from the Join tools dropdown toolbar button.
    JoinFeatures Example step3 Cutout.png

Algoritm

Algoritmii din spatele instrumentelor de conectare sunt destul de simple, iar înțelegerea acestora este importantă pentru utilizarea corectă a instrumentelor.

1. Base object is boolean-cut with Tool object. The resulting shape is a set (compound) of non-intersecting solids (typically, two).

2. The resulting compound is filtered: only the largest solid is kept.

3. If Refine property is true, the resulting shape is refined.

JoinFeatures-Algo-Cutout.png

Notă

  • Dacă după pasul 1, obiectul rămâne într-o singură bucată, rezultatul Cutout va fi echivalent cu boolean cut al Base with Tool.
  • Now, the tool will produce unexpected result, if a compound is supplied as Base. This may be changed in the future.
  • Because the largest piece is determined by comparing volumes of pieces, the tool can only work with solids. This may be changed in the future.

Programare-Script

Instrumentul Join poate fi utilizat în macros și de la consola python utilizând umătoarea funcție:

JoinFeatures.makePartJoinFeature(name = 'Cutout', mode = 'Cutout')
  • Creates an empty Cutout feature (or other Join feature, depending on mode passed). The properties Base and Tool must be assigned explicitly, afterwards.
  • Returns the newly created object.

Exempluː

import JoinFeatures
j = JoinFeatures.makePartJoinFeature(name = 'Cutout', mode = 'Cutout' )
j.Base = FreeCADGui.Selection.getSelection()[0]
j.Tool = FreeCADGui.Selection.getSelection()[1]

Instrumentul propriu-zis este implementat în Python, vezi /Mod/Part/JoinFeatures.py unde este instalat FreeCAD.

Versiune

Instrumentul a fost introduc începând cu FreeCAD v0.16.5069

Arrow-left.svg Previous: Part JoinEmbed.png Embed